View Issue Details

IDProjectCategoryView StatusLast Update
0004621ScribusStylespublic2016-01-19 16:15
Reporterchristoph_s Assigned To 
PrioritynormalSeverityfeatureReproducibilityalways
Status newResolutionopen 
PlatformanyOSanyOS Versionany
Product Version1.3 
Target VersionFixed in Version 
Summary0004621: Table styles (mockup included)
DescriptionDescription:

The dialog consists of 4 tabs. Tab no. 4 is the usual "shortcut" dialog and is meaningless in this context.

The basic idea for this style, but also for enhanced table features and a respective editing dialog is as follows: The user should have the opportunity to define a general table layout first, then work his way down to columns/rows, and finally to single cells.

Therefore, tab 1 allows to set the specifications for a whole table. The group box "General" contains three other group boxes. In "Values" the user can specify the number of rows and columns, and also a fixed size of the table, the latter meaning that changes to the size of rows and columns will only be on percent basis. "Content" defines the type of the frames the table consists of. It would also allow to link the Scribus to an external table, e.g. an OO.o Calc file or a LaTeX table. The option "Synchronise" means that Scribus should update the content in case the linked file changes (I know, a bit demanding ;) ) In "Options" the user could define the move between cells with the tab keys (left - right, right - left, top - bottom, bottom - tab) and also the text flow between linked cells (same as with the tabs). Borders is intended to set the borders for cells, in this tab the borders for the whole table. "Rows" sets the borders for all rows etc. "Custom" would allow custom editing for borders as in OO.o. The user could set line width and style. "Colour of Line" would define the colour of the dots or dashes in a line, "Colour of Spaces" the colour of the spaces between, dots and dashes. I also thought having drop shadows available for the whole table would be useful sometimes ;) "Cells" would define the general behaviour of all cells in the table. "Distance Of Content" contains the "Distance Of Text" features from the PP > Shape > Distance of Text tab, and "Background", would offer the opportunity to set a background for the whole table.

The second tab "Rows and Columns" would enable a more fine grained editing of a table. Radio buttons let the users switch between editing a row or a column. They could switch between changing the values in a fixed size (i.e. percent) and changing the size of the whole table. As for the rest of the dialog, it offers the same as tab 1, except that drop shadows aren't available. They don't make sense here IMHO.

Tab 3 is intended to edit single cells. A cell could be selected in the first group box. In the "Geometry" box the user could decide if the settings are to be applied to a whole row/column or rather to a single cell. The tab shares much of its content with other dialogs, except for "Frame Type" and "Link" "Frame Type" would define the frame type of a single cell. In case it's a text frame, the user could choose to apply either a character or a paragraph style. If it's an image frame, some basic options from PP > Image seemed appropriate to me The "Link" box contains an option to override the "Link Text Cells" settings from tab 1 and to link one cell to another one specified here.

Heavy stuff, I know, but I hope it's food for thought anyway. Tables in DTP are a big mess, and neither QXP nor ID offer satisfying solutions. I really don't think this draft is an expression of wisdom, but it may result in a discussion about table features in DTP software, especially on how to connect word processing and page layout.
TagsNo tags attached.
Patch

Activities

2006-11-28 16:11

 

tablestyle.ui (126,077 bytes)

Kunda

2015-07-10 16:36

manager   ~0035742

.ui files needs to be updated to qt5

Kunda

2016-01-19 16:14

manager  

tablestyle-qt4.ui (60,027 bytes)

Kunda

2016-01-19 16:14

manager  

Table-Tab.png (114,444 bytes)
Table-Tab.png (114,444 bytes)

Kunda

2016-01-19 16:14

manager  

Columns_and_Rows-Tab.png (94,194 bytes)
Columns_and_Rows-Tab.png (94,194 bytes)

Kunda

2016-01-19 16:14

manager  

Cells-Tab.png (118,428 bytes)
Cells-Tab.png (118,428 bytes)

Kunda

2016-01-19 16:15

manager   ~0038276

Uploaded Qt4 .ui that can be opened in Qt5 Designer.
Also uploaded screenshots of proposed mockups for convenience
(Thanks to Christoph for providing compatible .ui files)

Issue History

Date Modified Username Field Change
2006-11-28 16:11 christoph_s New Issue
2006-11-28 16:11 christoph_s File Added: tablestyle.ui
2015-07-10 16:36 Kunda Note Added: 0035742
2016-01-19 16:14 Kunda File Added: tablestyle-qt4.ui
2016-01-19 16:14 Kunda File Added: Table-Tab.png
2016-01-19 16:14 Kunda File Added: Columns_and_Rows-Tab.png
2016-01-19 16:14 Kunda File Added: Cells-Tab.png
2016-01-19 16:15 Kunda Note Added: 0038276